Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class GroovyScriptEngineImpl

    java.lang.Object
      javax.script.AbstractScriptEngine
          org.codehaus.groovy.jsr223.GroovyScriptEngineImpl

All Implemented Interfaces:
  Compilable, Invocable

    public class GroovyScriptEngineImpl
    extends AbstractScriptEngine

Field Summary

Fields inherited from class AbstractScriptEngine
ARGV, FILENAME, ENGINE, ENGINE_VERSION, NAME, LANGUAGE, LANGUAGE_VERSION

Constructor Summary
`GroovyScriptEngineImpl()`

Method Summary
`CompiledScript` | `compile(String scriptSource)`
`CompiledScript` | `compile(Reader reader)`
`Bindings` | `createBindings()`
`Object` | `eval(Reader reader, ScriptContext ctx)`
`Object` | `eval(String script, ScriptContext ctx)`
`GroovyClassLoader` | `getClassLoader()`
`ScriptEngineFactory` | `getFactory()`
`T` | `getInterface(Class clasz)`
`T` | `getInterface(Object thiz, Class clasz)`
`Object` | `invokeFunction(String name, Object args)`
`Object` | `invokeMethod(Object thiz, String name, Object args)`
`void` | `setClassLoader(GroovyClassLoader classLoader)`

Methods inherited from class AbstractScriptEngine
get, put, getContext, eval, eval, eval, eval, getBindings, setBindings, setContext, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getFactory, eval, eval, createBindings

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyScriptEngineImpl

    public GroovyScriptEngineImpl()

Method Detail

### compile

    public CompiledScript compile(String scriptSource)

### compile

    public CompiledScript compile(Reader reader)

### createBindings

    public Bindings createBindings()

### eval

    public Object eval(Reader reader, ScriptContext ctx)

### eval

    public Object eval(String script, ScriptContext ctx)

### getClassLoader

    public GroovyClassLoader getClassLoader()

### getFactory

    public ScriptEngineFactory getFactory()

### getInterface

    public T getInterface(Class clasz)

### getInterface

    public T getInterface(Object thiz, Class clasz)

### invokeFunction

    public Object invokeFunction(String name, Object args)

### invokeMethod

    public Object invokeMethod(Object thiz, String name, Object args)

### setClassLoader

    public void setClassLoader(GroovyClassLoader classLoader)

Copyright © 2003-2010 The Codehaus. All rights reserved.